Mailrelay API Reference

Get WhatsApp campaign by id

GET https://{account}/api/v1/whatsapp/campaigns/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Get WhatsApp campaign by id

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record

Responses

StatusDescription
200 Success
404 Couldn't find record with provided ID.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.
403 WhatsApp endpoints require the WhatsApp add-on package or a paid plan.

Response fields

NameTypeDescription
id integer ID
name string Name
whatsapp_template_id integer Whatsapp template
whatsapp_phone_number_id integer Whatsapp phone number
target string Allows you to specify to whom this campaign will be sent
segment_id integer Segment id. This is required if target is set to segment
group_ids array Groups IDs. This is required if target is set to groups. It should be an array of group ids. Example: [1, 4, 5]
last_sent_at string Last sent at
created_at string Created at
updated_at string Updated at